commit 2253dbe17b882d9b2b7086ee8bb58605d8e2fd85
Author: root <root@RafaDebian.gobex.pri>
Date:   Tue Jul 19 09:12:02 2016 +0200

    Añadidas fuentes de linex-config-ldapclient

diff --git a/ubuntu/trusty/all/linex-config-ldapclient/debian/changelog b/ubuntu/trusty/all/linex-config-ldapclient/debian/changelog
new file mode 100644
index 0000000..2c18718
--- /dev/null
+++ b/ubuntu/trusty/all/linex-config-ldapclient/debian/changelog
@@ -0,0 +1,23 @@
+linex-config-ldapclient (0.4) linex; urgency=medium
+
+  * Modificado en /etc/pam.d/common-session la opción required por optional en linea de mkdir.
+
+ -- Rafael J. García Perdigón <rafael.garciap@gobex.es>  Fri, 22 Jan 2016 12:50:48 +0100
+
+linex-config-ldapclient (0.3) linex; urgency=medium
+
+  * Añadidos Divert a todos los módulos pam
+
+ -- Rafael J. García Perdigón <rafael.garciap@gobex.es>  Fri, 23 Jan 2015 12:01:52 +0100
+
+linex-config-ldapclient (0.2) linex; urgency=medium
+
+  * Changed Depends to Pre-Depends
+
+ -- Rafael J. García Perdigón <rafael.garciap@gobex.es>  Mon, 24 Nov 2014 14:27:54 +0100
+
+linex-config-ldapclient (0.1) linex; urgency=low
+
+  * Initial release. 
+
+ -- Rafael J. García Perdigón <rafael.garciap@gobex.es>  Wed, 29 Oct 2014 10:44:27 +0100
diff --git a/ubuntu/trusty/all/linex-config-ldapclient/debian/compat b/ubuntu/trusty/all/linex-config-ldapclient/debian/compat
new file mode 100644
index 0000000..45a4fb7
--- /dev/null
+++ b/ubuntu/trusty/all/linex-config-ldapclient/debian/compat
@@ -0,0 +1 @@
+8
diff --git a/ubuntu/trusty/all/linex-config-ldapclient/debian/control b/ubuntu/trusty/all/linex-config-ldapclient/debian/control
new file mode 100644
index 0000000..1fcd22d
--- /dev/null
+++ b/ubuntu/trusty/all/linex-config-ldapclient/debian/control
@@ -0,0 +1,14 @@
+Source: linex-config-ldapclient
+Section: admin
+Priority: extra
+Maintainer: Rafael Jesús García Perdigón<rafael.garciap@gobex.es>
+Build-Depends: debhelper (>= 8.0.0)
+Standards-Version: 3.9.4
+
+Package: linex-config-ldapclient
+Architecture: all
+Pre-Depends: ${misc:Depends}, libpam-ldapd, libnss-ldapd, autofs5-ldap
+Depends: ${misc:Depends}, libpam-ccreds, nss-updatedb, libnss-db, linex-checkldap
+Description: linex ldap autentication and mount system.
+ Configure client to authenticate against ldap server.
+ Configure automount to conctact ldap, and make the mount available.
diff --git a/ubuntu/trusty/all/linex-config-ldapclient/debian/copyright b/ubuntu/trusty/all/linex-config-ldapclient/debian/copyright
new file mode 100644
index 0000000..6d796f6
--- /dev/null
+++ b/ubuntu/trusty/all/linex-config-ldapclient/debian/copyright
@@ -0,0 +1,28 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: lingobex-desktop-theme
+
+Files: *
+Copyright: 2014 Gobierno de Extremadura
+License: GPL-3.0+
+
+Files: debian/*
+Copyright: 2014 Gobierno de Extremadura
+License: GPL-3.0+
+
+License: GPL-3.0+
+ This program is free software: you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation, either version 3 of the License, or
+ (at your option) any later version.
+ .
+ This package is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ GNU General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program. If not, see <http://www.gnu.org/licenses/>.
+ .
+ On Debian systems, the complete text of the GNU General
+ Public License version 3 can be found in "/usr/share/common-licenses/GPL-3".
+
diff --git a/ubuntu/trusty/all/linex-config-ldapclient/debian/install b/ubuntu/trusty/all/linex-config-ldapclient/debian/install
new file mode 100644
index 0000000..73752c9
--- /dev/null
+++ b/ubuntu/trusty/all/linex-config-ldapclient/debian/install
@@ -0,0 +1 @@
+usr
diff --git a/ubuntu/trusty/all/linex-config-ldapclient/debian/linex-config-ldapclient.links b/ubuntu/trusty/all/linex-config-ldapclient/debian/linex-config-ldapclient.links
new file mode 100644
index 0000000..13476d4
--- /dev/null
+++ b/ubuntu/trusty/all/linex-config-ldapclient/debian/linex-config-ldapclient.links
@@ -0,0 +1,15 @@
+/usr/share/linex-config-ldapclient/nsswitch.conf /etc/nsswitch.conf
+/usr/share/linex-config-ldapclient/nslcd.conf /etc/nslcd.conf
+/usr/share/linex-config-ldapclient/group.conf /etc/security/group.conf
+/usr/share/linex-config-ldapclient/ldap.conf /etc/ldap/ldap.conf
+/usr/share/linex-config-ldapclient/autofs-restart /etc/network/if-up.d/autofs-restart
+/usr/share/linex-config-ldapclient/pam.d/common-account /etc/pam.d/common-account
+/usr/share/linex-config-ldapclient/pam.d/common-auth /etc/pam.d/common-auth
+/usr/share/linex-config-ldapclient/pam.d/common-password /etc/pam.d/common-password
+/usr/share/linex-config-ldapclient/pam.d/common-session /etc/pam.d/common-session
+/usr/share/linex-config-ldapclient/pam.d/common-session-noninteractive /etc/pam.d/common-session-noninteractive
+/usr/share/linex-config-ldapclient/pam.d/gdm3-autologin /etc/pam.d/gdm3-autologin
+/usr/share/linex-config-ldapclient/actualiza_cache_passwd /usr/sbin/actualiza_cache_passwd
+/usr/share/linex-config-ldapclient/update_cache_passwd /etc/network/if-up.d/update_cache_passwd
+
+
diff --git a/ubuntu/trusty/all/linex-config-ldapclient/debian/postinst b/ubuntu/trusty/all/linex-config-ldapclient/debian/postinst
new file mode 100644
index 0000000..39cbcc6
--- /dev/null
+++ b/ubuntu/trusty/all/linex-config-ldapclient/debian/postinst
@@ -0,0 +1,6 @@
+#!/bin/bash
+set -e
+
+  invoke-rc.d autofs restart
+
+exit 0
diff --git a/ubuntu/trusty/all/linex-config-ldapclient/debian/postrm b/ubuntu/trusty/all/linex-config-ldapclient/debian/postrm
new file mode 100644
index 0000000..ce5365e
--- /dev/null
+++ b/ubuntu/trusty/all/linex-config-ldapclient/debian/postrm
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+set -e
+
+PKG="linex-config-ldapclient"
+SHAREDIR="/usr/share/linex-config-ldapclient"
+
+remove_divert() {
+    diverter=$(dpkg-divert --listpackage $1)
+    if [ "$diverter" = "linex-config-ldapclient" ]; then
+        dpkg-divert --package linex-config-ldapclient --rename --remove $1
+    fi
+}
+
+
+if [ "$1" = remove ]; then
+  remove_divert /etc/nsswitch.conf
+  remove_divert /etc/nslcd.conf
+  remove_divert /etc/security/group.conf
+  remove_divert /etc/ldap/ldap.conf
+  remove_divert /etc/pam.d/common-account
+  remove_divert /etc/pam.d/common-auth
+  remove_divert /etc/pam.d/common-password
+  remove_divert /etc/pam.d/common-session
+  remove_divert /etc/pam.d/common-session-noninteractive
+  remove_divert /etc/pam.d/gdm3-autologin
+fi
+
+exit 0
diff --git a/ubuntu/trusty/all/linex-config-ldapclient/debian/preinst b/ubuntu/trusty/all/linex-config-ldapclient/debian/preinst
new file mode 100644
index 0000000..313b503
--- /dev/null
+++ b/ubuntu/trusty/all/linex-config-ldapclient/debian/preinst
@@ -0,0 +1,28 @@
+#!/bin/bash
+set -e
+
+PKG="linex-config-ldapclient"
+SHAREDIR="/usr/share/linex-config-ldapclient"
+
+divert() {
+    diverted_file=$1
+
+    dpkg-divert --package "$PKG" --add --rename \
+	--divert "${diverted_file}-pre-$PKG" $diverted_file
+}
+
+divert /etc/nsswitch.conf
+divert /etc/nslcd.conf
+divert /etc/security/group.conf
+divert /etc/ldap/ldap.conf
+
+divert /etc/pam.d/common-account
+divert /etc/pam.d/common-auth
+divert /etc/pam.d/common-password
+divert /etc/pam.d/common-session
+divert /etc/pam.d/common-session-noninteractive
+divert /etc/pam.d/gdm3-autologin
+
+
+
+exit 0
diff --git a/ubuntu/trusty/all/linex-config-ldapclient/debian/rules b/ubuntu/trusty/all/linex-config-ldapclient/debian/rules
new file mode 100755
index 0000000..b760bee
--- /dev/null
+++ b/ubuntu/trusty/all/linex-config-ldapclient/debian/rules
@@ -0,0 +1,13 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+%:
+	dh $@ 
diff --git a/ubuntu/trusty/all/linex-config-ldapclient/debian/source/format b/ubuntu/trusty/all/linex-config-ldapclient/debian/source/format
new file mode 100644
index 0000000..89ae9db
--- /dev/null
+++ b/ubuntu/trusty/all/linex-config-ldapclient/debian/source/format
@@ -0,0 +1 @@
+3.0 (native)
diff --git a/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/actualiza_cache_passwd b/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/actualiza_cache_passwd
new file mode 100755
index 0000000..20f49a5
--- /dev/null
+++ b/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/actualiza_cache_passwd
@@ -0,0 +1,5 @@
+#!/bin/bash
+
+#espera un tiempo aleatorio entre 0  y media hora:
+sleep $(($(od -dN2 /dev/urandom | sed -n 's/[^ ]* //p')%1779))
+nss_updatedb ldap
diff --git a/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/autofs-restart b/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/autofs-restart
new file mode 100755
index 0000000..8a725ab
--- /dev/null
+++ b/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/autofs-restart
@@ -0,0 +1,6 @@
+#!/bin/bash
+set -e
+
+invoke-rc.d autofs restart
+
+exit 0
diff --git a/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/group.conf b/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/group.conf
new file mode 100644
index 0000000..a32f5b1
--- /dev/null
+++ b/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/group.conf
@@ -0,0 +1,109 @@
+#
+# This is the configuration file for the pam_group module.
+#
+
+#
+# *** Please note that giving group membership on a session basis is
+# *** NOT inherently secure. If a user can create an executable that
+# *** is setgid a group that they are infrequently given membership
+# *** of, they can basically obtain group membership any time they
+# *** like. Example: games are allowed between the hours of 6pm and 6am
+# *** user joe logs in at 7pm writes a small C-program toplay.c that
+# *** invokes their favorite shell, compiles it and does
+# *** "chgrp play toplay; chmod g+s toplay". They are basically able
+# *** to play games any time... You have been warned. AGM
+#
+
+#
+# The syntax of the lines is as follows:
+#
+#       services;ttys;users;times;groups
+#
+# white space is ignored and lines maybe extended with '\\n' (escaped
+# newlines). From reading these comments, it is clear that
+# text following a '#' is ignored to the end of the line.
+#
+# the combination of individual users/terminals etc is a logic list
+# namely individual tokens that are optionally prefixed with '!' (logical
+# not) and separated with '&' (logical and) and '|' (logical or).
+#
+# services
+#       is a logic list of PAM service names that the rule applies to.
+#
+# ttys
+#       is a logic list of terminal names that this rule applies to.
+#
+# users
+#       is a logic list of users or a netgroup of users to whom this
+#       rule applies.
+#
+# NB. For these items the simple wildcard '*' may be used only once.
+#     With netgroups no wildcards or logic operators are allowed.
+#
+# times
+#       It is used to indicate "when" these groups are to be given to the
+#       user. The format here is a logic list of day/time-range
+#       entries the days are specified by a sequence of two character
+#       entries, MoTuSa for example is Monday Tuesday and Saturday. Note
+#       that repeated days are unset MoMo = no day, and MoWk = all weekdays
+#       bar Monday. The two character combinations accepted are
+#
+#               Mo Tu We Th Fr Sa Su Wk Wd Al
+#
+#       the last two being week-end days and all 7 days of the week
+#       respectively. As a final example, AlFr means all days except Friday.
+#
+#       Each day/time-range can be prefixed with a '!' to indicate "anything
+#       but"
+#
+#       The time-range part is two 24-hour times HHMM separated by a hyphen
+#       indicating the start and finish time (if the finish time is smaller
+#       than the start time it is deemed to apply on the following day).
+#
+# groups
+#	The (comma or space separated) list of groups that the user
+#	inherits membership of. These groups are added if the previous
+#	fields are satisfied by the user's request
+#
+# For a rule to be active, ALL of service+ttys+users must be satisfied
+# by the applying process.
+#
+
+#
+# Note, to get this to work as it is currently typed you need
+#
+# 1. to run an application as root
+# 2. add the following groups to the /etc/group file:
+#		floppy, play, sound
+#
+
+#
+# Here is a simple example: running 'xsh' on tty* (any ttyXXX device),
+# the user 'us' is given access to the floppy (through membership of
+# the floppy group)
+#
+
+#xsh;tty*&!ttyp*;us;Al0000-2400;floppy
+
+#
+# another example: running 'xsh' on tty* (any ttyXXX device),
+# the user 'sword' is given access to games (through membership of
+# the sound and play group) after work hours.
+#
+
+#xsh; tty* ;sword;!Wk0900-1800;sound, play
+#xsh; tty* ;*;Al0900-1800;floppy
+
+#
+# yet another example: any member of the group 'admin' running
+# 'xsh' on tty*, is granted access (at any time) to the group 'plugdev'
+#
+
+#xsh; tty* ;%admin;Al0000-2400;plugdev
+
+*;*;*;Al0000-2400;audio,cdrom,floppy,plugdev,video,lp,lpadmin,netdev,games,fuse
+sshd;*;root;Al0000-2400;teachers
+
+#
+# End of group.conf file
+#
diff --git a/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/ldap.conf b/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/ldap.conf
new file mode 100644
index 0000000..9b3d470
--- /dev/null
+++ b/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/ldap.conf
@@ -0,0 +1,18 @@
+#
+# LDAP Defaults
+#
+
+# See ldap.conf(5) for details
+# This file should be world readable but not world writable.
+
+BASE    dc=instituto,dc=extremadura,dc=es
+#URI    ldap://ldap.example.com ldap://ldap-master.example.com:666
+#SIZELIMIT      12
+#TIMELIMIT      15
+#DEREF          never
+#URI ldaps://ldap.dgpe
+#URI ldaps://ldap
+HOST ldap
+TLS_REQCERT allow
+TLS_CACERT /etc/ldap/ssl/ldap-server-pubkey.pem
+
diff --git a/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/nslcd.conf b/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/nslcd.conf
new file mode 100644
index 0000000..c0b6b8f
--- /dev/null
+++ b/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/nslcd.conf
@@ -0,0 +1,39 @@
+# /etc/nslcd.conf
+# nslcd configuration file. See nslcd.conf(5)
+# for details.
+
+# The user and group nslcd should run as.
+uid nslcd
+gid nslcd
+
+# The location at which the LDAP server(s) should be reachable.
+uri ldap://ldap
+
+#### Descomentar linea para autenticacion SSL con ldap y comentar anterior ####
+#uri ldaps://ldap
+
+# The search base that will be used for all queries.
+base dc=instituto,dc=extremadura,dc=es
+
+# The LDAP protocol version to use.
+ldap_version 3
+
+# The DN to bind with for normal lookups.
+#binddn cn=annonymous,dc=example,dc=net
+#bindpw secret
+
+# The DN used for password modifications by root.
+#rootpwmoddn cn=admin,dc=example,dc=com
+
+# SSL options
+#ssl off
+tls_reqcert never
+
+#### Descomentar las sigientes tres lineas para autenticacion SSL con ldap ####
+#ssl start_tls
+#ssl on
+#tls_cacert /etc/ldap/ssl/ldap-server-pubkey.pem
+
+# The search scope.
+#scope sub
+
diff --git a/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/nsswitch.conf b/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/nsswitch.conf
new file mode 100644
index 0000000..ea74a14
--- /dev/null
+++ b/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/nsswitch.conf
@@ -0,0 +1,21 @@
+# /etc/nsswitch.conf
+#
+# Example configuration of GNU Name Service Switch functionality.
+# If you have the `glibc-doc-reference' and `info' packages installed, try:
+# `info libc "Name Service Switch"' for information about this file.
+
+automount:      files 
+
+passwd:         files ldap [NOTFOUND=return] db
+group:          files ldap [NOTFOUND=return] db
+shadow:         files ldap
+
+hosts:          files mdns4_minimal [NOTFOUND=return] dns mdns4
+networks:       files
+
+protocols:      db files
+services:       db files
+ethers:         db files
+rpc:            db files
+
+netgroup:       files ldap
diff --git a/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/pam.d/common-account b/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/pam.d/common-account
new file mode 100644
index 0000000..2bf322b
--- /dev/null
+++ b/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/pam.d/common-account
@@ -0,0 +1,29 @@
+#
+# /etc/pam.d/common-account - authorization settings common to all services
+#
+# This file is included from other service-specific PAM config files,
+# and should contain a list of the authorization modules that define
+# the central access policy for use on the system.  The default is to
+# only deny service to users whose accounts are expired in /etc/shadow.
+#
+# As of pam 1.0.1-6, this file is managed by pam-auth-update by default.
+# To take advantage of this, it is recommended that you configure any
+# local modules either before or after the default block, and use
+# pam-auth-update to manage selection of other modules.  See
+# pam-auth-update(8) for details.
+#
+
+# here are the per-package modules (the "Primary" block)
+#account	[success=2 new_authtok_reqd=done default=ignore]	pam_unix.so 
+#account	[success=1 default=ignore]	pam_ldap.so 
+account     [user_unknown=ignore authinfo_unavail=ignore default=done] pam_unix.so
+account     [user_unknown=ignore authinfo_unavail=ignore default=done] pam_ldap.so
+
+# here's the fallback if no module succeeds
+#account	requisite			pam_deny.so
+# prime the stack with a positive return value if there isn't one already;
+# this avoids us returning an error just because nothing sets a success code
+# since the modules above will each just jump around
+account	required			pam_permit.so
+# and here are more per-package modules (the "Additional" block)
+# end of pam-auth-update config
diff --git a/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/pam.d/common-auth b/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/pam.d/common-auth
new file mode 100644
index 0000000..21293f3
--- /dev/null
+++ b/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/pam.d/common-auth
@@ -0,0 +1,32 @@
+#
+# /etc/pam.d/common-auth - authentication settings common to all services
+#
+# This file is included from other service-specific PAM config files,
+# and should contain a list of the authentication modules that define
+# the central authentication scheme for use on the system
+# (e.g., /etc/shadow, LDAP, Kerberos, etc.).  The default is to use the
+# traditional Unix authentication mechanisms.
+#
+# As of pam 1.0.1-6, this file is managed by pam-auth-update by default.
+# To take advantage of this, it is recommended that you configure any
+# local modules either before or after the default block, and use
+# pam-auth-update to manage selection of other modules.  See
+# pam-auth-update(8) for details.
+
+# here are the per-package modules (the "Primary" block)
+auth	[success=5 default=ignore]	pam_unix.so nullok_secure
+auth	[success=4 default=ignore]	pam_ldap.so use_first_pass
+auth	[success=2 default=ignore]	pam_ccreds.so action=validate use_first_pass
+auth	[default=ignore]		pam_ccreds.so action=update
+
+# here's the fallback if no module succeeds
+auth	requisite			pam_deny.so
+# prime the stack with a positive return value if there isn't one already;
+# this avoids us returning an error just because nothing sets a success code
+# since the modules above will each just jump around
+auth	required			pam_permit.so
+# and here are more per-package modules (the "Additional" block)
+auth	optional			pam_ccreds.so action=store
+auth	optional			pam_group.so
+auth	optional			pam_cap.so 
+# end of pam-auth-update config
diff --git a/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/pam.d/common-password b/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/pam.d/common-password
new file mode 100644
index 0000000..fc8f914
--- /dev/null
+++ b/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/pam.d/common-password
@@ -0,0 +1,35 @@
+#
+# /etc/pam.d/common-password - password-related modules common to all services
+#
+# This file is included from other service-specific PAM config files,
+# and should contain a list of modules that define the services to be
+# used to change user passwords.  The default is pam_unix.
+
+# Explanation of pam_unix options:
+#
+# The "sha512" option enables salted SHA512 passwords.  Without this option,
+# the default is Unix crypt.  Prior releases used the option "md5".
+#
+# The "obscure" option replaces the old `OBSCURE_CHECKS_ENAB' option in
+# login.defs.
+#
+# See the pam_unix manpage for other options.
+
+# As of pam 1.0.1-6, this file is managed by pam-auth-update by default.
+# To take advantage of this, it is recommended that you configure any
+# local modules either before or after the default block, and use
+# pam-auth-update to manage selection of other modules.  See
+# pam-auth-update(8) for details.
+
+# here are the per-package modules (the "Primary" block)
+password	[success=2 default=ignore]	pam_unix.so obscure sha512
+password	[success=1 user_unknown=ignore default=die]	pam_ldap.so use_authtok try_first_pass
+# here's the fallback if no module succeeds
+password	requisite			pam_deny.so
+# prime the stack with a positive return value if there isn't one already;
+# this avoids us returning an error just because nothing sets a success code
+# since the modules above will each just jump around
+password	required			pam_permit.so
+# and here are more per-package modules (the "Additional" block)
+password	optional	pam_gnome_keyring.so 
+# end of pam-auth-update config
diff --git a/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/pam.d/common-session b/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/pam.d/common-session
new file mode 100644
index 0000000..cd0f9cb
--- /dev/null
+++ b/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/pam.d/common-session
@@ -0,0 +1,31 @@
+#
+# /etc/pam.d/common-session - session-related modules common to all services
+#
+# This file is included from other service-specific PAM config files,
+# and should contain a list of modules that define tasks to be performed
+# at the start and end of sessions of *any* kind (both interactive and
+# non-interactive).
+#
+# As of pam 1.0.1-6, this file is managed by pam-auth-update by default.
+# To take advantage of this, it is recommended that you configure any
+# local modules either before or after the default block, and use
+# pam-auth-update to manage selection of other modules.  See
+# pam-auth-update(8) for details.
+
+# here are the per-package modules (the "Primary" block)
+session	[default=1]			pam_permit.so
+# here's the fallback if no module succeeds
+session	requisite			pam_deny.so
+# prime the stack with a positive return value if there isn't one already;
+# this avoids us returning an error just because nothing sets a success code
+# since the modules above will each just jump around
+session	required			pam_permit.so
+# and here are more per-package modules (the "Additional" block)
+session	required	pam_unix.so 
+session	optional	pam_ldap.so 
+session	optional	pam_umask.so umask=002
+session	optional	pam_ck_connector.so
+# end of pam-auth-update config
+
+session optional	pam_mkhomedir.so umask=0022 skel=/etc/skel
+session optional        pam_systemd.so
diff --git a/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/pam.d/common-session-noninteractive b/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/pam.d/common-session-noninteractive
new file mode 100644
index 0000000..b511921
--- /dev/null
+++ b/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/pam.d/common-session-noninteractive
@@ -0,0 +1,27 @@
+#
+# /etc/pam.d/common-session-noninteractive - session-related modules
+# common to all non-interactive services
+#
+# This file is included from other service-specific PAM config files,
+# and should contain a list of modules that define tasks to be performed
+# at the start and end of all non-interactive sessions.
+#
+# As of pam 1.0.1-6, this file is managed by pam-auth-update by default.
+# To take advantage of this, it is recommended that you configure any
+# local modules either before or after the default block, and use
+# pam-auth-update to manage selection of other modules.  See
+# pam-auth-update(8) for details.
+
+# here are the per-package modules (the "Primary" block)
+session	[default=1]			pam_permit.so
+# here's the fallback if no module succeeds
+session	requisite			pam_deny.so
+# prime the stack with a positive return value if there isn't one already;
+# this avoids us returning an error just because nothing sets a success code
+# since the modules above will each just jump around
+session	required			pam_permit.so
+# and here are more per-package modules (the "Additional" block)
+session	required	pam_unix.so 
+session	optional			pam_ldap.so 
+session	optional			pam_umask.so umask=002
+# end of pam-auth-update config
diff --git a/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/pam.d/gdm3-autologin b/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/pam.d/gdm3-autologin
new file mode 100644
index 0000000..331a95b
--- /dev/null
+++ b/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/pam.d/gdm3-autologin
@@ -0,0 +1,11 @@
+#%PAM-1.0
+auth    optional        pam_group.so
+auth    requisite       pam_nologin.so
+auth    required        pam_env.so readenv=1
+auth    required        pam_env.so readenv=1 envfile=/etc/default/locale
+auth	required	pam_succeed_if.so user != root quiet_success
+auth    required        pam_permit.so
+@include common-account
+session required        pam_limits.so
+@include common-session
+@include common-password
diff --git a/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/update_cache_passwd b/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/update_cache_passwd
new file mode 100755
index 0000000..a1886e5
--- /dev/null
+++ b/ubuntu/trusty/all/linex-config-ldapclient/usr/share/linex-config-ldapclient/update_cache_passwd
@@ -0,0 +1,6 @@
+#!/bin/bash
+ping -c 1 ldap 2>/dev/null
+if [ "$?" -eq "0" ]; then
+        /usr/sbin/actualiza_cache_passwd &
+fi
+
diff --git a/ubuntu/willy/all/linex-ubuntu-puppet/debian/changelog b/ubuntu/willy/all/linex-ubuntu-puppet/debian/changelog
index 0d897c3..ed0eab6 100644
--- a/ubuntu/willy/all/linex-ubuntu-puppet/debian/changelog
+++ b/ubuntu/willy/all/linex-ubuntu-puppet/debian/changelog
@@ -1,3 +1,9 @@
+linex-ubuntu-puppet (1.4) linex; urgency=medium
+
+  * Subida versión para evitar conflicto con trusty en las máquinas que se mandaron para FP Básica.
+
+ -- Rafael J. García Perdigón <rafael.garciap@gobex.es>  Thu, 14 Jul 2016 12:56:01 +0200
+
 linex-ubuntu-puppet (1.3) linex; urgency=medium
 
   * Modificado escuela2.0 por ubuntu 16.04 (Eli).