commit 0d12114b9369ba7702238dc870a079bacdfeb70a
Author: Rafael J. García Perdigón <root@RafaDebian.gobex.pri>
Date:   Wed Sep 7 14:27:02 2016 +0200

    Añadidos linex-onboard y linex-xubuntu-core

diff --git a/ubuntu/trusty/all/linex-onboard-config/debian/changelog b/ubuntu/trusty/all/linex-onboard-config/debian/changelog
new file mode 100644
index 0000000..5a761b9
--- /dev/null
+++ b/ubuntu/trusty/all/linex-onboard-config/debian/changelog
@@ -0,0 +1,5 @@
+linex-onboard-config (1.0) linex; urgency=low
+
+  * Initial Release. Configure Onboard keyboard to function on xubuntu
+
+ -- Rafael J. García Perdigón <rafael.garciap@gobex.es>  Fri, 12 Apr 2016 10:10:03 +0200
diff --git a/ubuntu/trusty/all/linex-onboard-config/debian/compat b/ubuntu/trusty/all/linex-onboard-config/debian/compat
new file mode 100644
index 0000000..45a4fb7
--- /dev/null
+++ b/ubuntu/trusty/all/linex-onboard-config/debian/compat
@@ -0,0 +1 @@
+8
diff --git a/ubuntu/trusty/all/linex-onboard-config/debian/control b/ubuntu/trusty/all/linex-onboard-config/debian/control
new file mode 100644
index 0000000..c5ad64d
--- /dev/null
+++ b/ubuntu/trusty/all/linex-onboard-config/debian/control
@@ -0,0 +1,13 @@
+Source: linex-onboard-config
+Section: x11
+Priority: optional
+Maintainer: Rafael Jesús García Perdigón <rafael.garciap@gobex.es>
+Build-Depends: debhelper (>= 8.0.0)
+Standards-Version: 3.9.4
+
+Package: linex-onboard-config
+Architecture: all
+Pre-Depends: onboard,x11-xkb-utils, xfce4-xkb-plugin
+Depends: ${misc:Depends}
+Description: Configuración del teclado en pantalla
+ Configura el teclado en pantalla onboard para xfce4.
diff --git a/ubuntu/trusty/all/linex-onboard-config/debian/copyright b/ubuntu/trusty/all/linex-onboard-config/debian/copyright
new file mode 100644
index 0000000..6d796f6
--- /dev/null
+++ b/ubuntu/trusty/all/linex-onboard-config/debian/copyright
@@ -0,0 +1,28 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: lingobex-desktop-theme
+
+Files: *
+Copyright: 2014 Gobierno de Extremadura
+License: GPL-3.0+
+
+Files: debian/*
+Copyright: 2014 Gobierno de Extremadura
+License: GPL-3.0+
+
+License: GPL-3.0+
+ This program is free software: you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation, either version 3 of the License, or
+ (at your option) any later version.
+ .
+ This package is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ GNU General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program. If not, see <http://www.gnu.org/licenses/>.
+ .
+ On Debian systems, the complete text of the GNU General
+ Public License version 3 can be found in "/usr/share/common-licenses/GPL-3".
+
diff --git a/ubuntu/trusty/all/linex-onboard-config/debian/install b/ubuntu/trusty/all/linex-onboard-config/debian/install
new file mode 100644
index 0000000..73752c9
--- /dev/null
+++ b/ubuntu/trusty/all/linex-onboard-config/debian/install
@@ -0,0 +1 @@
+usr
diff --git a/ubuntu/trusty/all/linex-onboard-config/debian/linex-onboard-config.links b/ubuntu/trusty/all/linex-onboard-config/debian/linex-onboard-config.links
new file mode 100644
index 0000000..54c9cd7
--- /dev/null
+++ b/ubuntu/trusty/all/linex-onboard-config/debian/linex-onboard-config.links
@@ -0,0 +1,2 @@
+/usr/share/linex-onboard-config/xkeyboardlang.desktop /etc/xdg/autostart/xkeyboardlang.desktop
+/usr/share/linex-onboard-config/onboard-autostart.desktop /etc/xdg/autostart/onboard-autostart.desktop
diff --git a/ubuntu/trusty/all/linex-onboard-config/debian/postrm b/ubuntu/trusty/all/linex-onboard-config/debian/postrm
new file mode 100755
index 0000000..1fdcaae
--- /dev/null
+++ b/ubuntu/trusty/all/linex-onboard-config/debian/postrm
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+set -e
+
+PKG="linex-onboard-config"
+SHAREDIR="/usr/share/linex-onboard-config"
+
+remove_divert() {
+    diverter=$(dpkg-divert --listpackage $1)
+    if [ "$diverter" = "linex-onboard-config" ]; then
+        dpkg-divert --package $PKG --rename --remove $1
+    fi
+}
+
+
+if [ "$1" = remove ]; then
+  remove_divert /etc/xdg/autostart/onboard-autostart.desktop
+
+fi
+
+exit 0
+
diff --git a/ubuntu/trusty/all/linex-onboard-config/debian/preinst b/ubuntu/trusty/all/linex-onboard-config/debian/preinst
new file mode 100755
index 0000000..8b955a4
--- /dev/null
+++ b/ubuntu/trusty/all/linex-onboard-config/debian/preinst
@@ -0,0 +1,17 @@
+#!/bin/bash
+set -e
+
+PKG="linex-onboard-config"
+SHAREDIR="/usr/share/linex-onboard-config"
+
+divert() {
+    diverted_file=$1
+
+    dpkg-divert --package "$PKG" --add --rename \
+        --divert "${diverted_file}-pre-$PKG" $diverted_file
+}
+
+divert /etc/xdg/autostart/onboard-autostart.desktop
+
+exit 0
+
diff --git a/ubuntu/trusty/all/linex-onboard-config/debian/rules b/ubuntu/trusty/all/linex-onboard-config/debian/rules
new file mode 100755
index 0000000..b760bee
--- /dev/null
+++ b/ubuntu/trusty/all/linex-onboard-config/debian/rules
@@ -0,0 +1,13 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+%:
+	dh $@ 
diff --git a/ubuntu/trusty/all/linex-onboard-config/usr/share/linex-onboard-config/onboard-autostart.desktop b/ubuntu/trusty/all/linex-onboard-config/usr/share/linex-onboard-config/onboard-autostart.desktop
new file mode 100644
index 0000000..8593b78
--- /dev/null
+++ b/ubuntu/trusty/all/linex-onboard-config/usr/share/linex-onboard-config/onboard-autostart.desktop
@@ -0,0 +1,6 @@
+[Desktop Entry]
+Name=Onboard
+Exec=onboard on
+Type=Application
+NoDisplay=true
+X-Ubuntu-Gettext-Domain=onboard
diff --git a/ubuntu/trusty/all/linex-onboard-config/usr/share/linex-onboard-config/xkeyboardlang.desktop b/ubuntu/trusty/all/linex-onboard-config/usr/share/linex-onboard-config/xkeyboardlang.desktop
new file mode 100644
index 0000000..770f525
--- /dev/null
+++ b/ubuntu/trusty/all/linex-onboard-config/usr/share/linex-onboard-config/xkeyboardlang.desktop
@@ -0,0 +1,5 @@
+[Desktop Entry]
+Name=SetOnboard Es
+Exec=setxkbmap es
+Type=Application
+NoDisplay=true
diff --git a/ubuntu/trusty/all/linex-xubuntu-core/debian/changelog b/ubuntu/trusty/all/linex-xubuntu-core/debian/changelog
new file mode 100644
index 0000000..3e81879
--- /dev/null
+++ b/ubuntu/trusty/all/linex-xubuntu-core/debian/changelog
@@ -0,0 +1,24 @@
+linex-xubuntu-core (1.3) linex; urgency=medium
+
+  * Removed  Google-Chrome-Stable dependency
+
+ -- Rafael J. García Perdigón <rafael.garciap@gobex.es>  Mon, 18 Apr 2016 10:50:41 +0200
+
+linex-xubuntu-core (1.2) linex; urgency=medium
+
+  * Added Google-Chrome-Stable.
+  * Added Vlc.
+
+ -- Rafael J. García Perdigón <rafael.garciap@gobex.es>  Tue, 03 Nov 2015 08:56:02 +0100
+
+linex-xubuntu-core (1.1) linex; urgency=medium
+
+  * Added Libreoffice help and translation to spanish.
+
+ -- Rafael J. García Perdigón <rafael.garciap@gobex.es>  Thu, 29 Oct 2015 10:00:05 +0100
+
+linex-xubuntu-core (1.0) linex; urgency=low
+
+  * Initial release.
+
+ -- Rafael J. García Perdigón <rafael.garciap@gobex.es>  Tue, 29 Oct 2015 15:03:55 +0100
diff --git a/ubuntu/trusty/all/linex-xubuntu-core/debian/compat b/ubuntu/trusty/all/linex-xubuntu-core/debian/compat
new file mode 100644
index 0000000..45a4fb7
--- /dev/null
+++ b/ubuntu/trusty/all/linex-xubuntu-core/debian/compat
@@ -0,0 +1 @@
+8
diff --git a/ubuntu/trusty/all/linex-xubuntu-core/debian/control b/ubuntu/trusty/all/linex-xubuntu-core/debian/control
new file mode 100644
index 0000000..3bafb3b
--- /dev/null
+++ b/ubuntu/trusty/all/linex-xubuntu-core/debian/control
@@ -0,0 +1,44 @@
+Source: linex-xubuntu-core
+Section: metapackages
+Priority: optional
+Maintainer: Rafael Jesús García Perdigón <rafael.garciap@gobex.es>
+Build-Depends: debhelper (>= 8.0.0)
+Standards-Version: 3.9.3
+Homepage:
+
+
+Package: linex-xubuntu-core
+Architecture: all
+Depends: 
+	anacron, 
+	eog, 
+	evince, 
+	file-roller, 
+	lsb-release, 
+	openssh-server, 
+	p7zip-rar, 
+	usbutils, 
+	xdg-utils, 
+	xfce4, 
+	xfce4-power-manager, 
+	xfce4-screenshooter, 
+	xfce4-taskmanager, 
+	xserver-xorg-video-all, 
+	libreoffice, 
+	libreoffice-help-es, 
+	libreoffice-l10n-es, 
+	linex-config-ldapclient, 
+	linex-educationpack-core, 
+	linex-lightdm-config, 
+	linex-desktop-config, 
+	xubuntu-desktop, 
+	gksu, 
+	leafpad, 
+	synaptic, 
+	xubuntu-community-wallpapers, 
+	ntp, 
+	linex-archive-keyring, 
+	vlc
+Conflicts: ubuntu-desktop
+Description: Metapaquete de entorno Linex para Xubuntu
+   Instala el entorno completo de una Xubuntu.
diff --git a/ubuntu/trusty/all/linex-xubuntu-core/debian/copyright b/ubuntu/trusty/all/linex-xubuntu-core/debian/copyright
new file mode 100644
index 0000000..5ce0e83
--- /dev/null
+++ b/ubuntu/trusty/all/linex-xubuntu-core/debian/copyright
@@ -0,0 +1,23 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: lingobex-core
+Source: https://lindevel.eco.pri/trac/lingobex/browser/paquetes/lingobex-core
+
+Files: *
+Copyright: 2013 Gobierno de Extremadura
+License: GPL-2+
+ This package is free software; you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation; either version 2 of the License, or
+ (at your option) any later version.
+ .
+ This package is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ GNU General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program. If not, see <http://www.gnu.org/licenses/>
+ .
+ On Debian systems, the complete text of the GNU General
+ Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".
+
diff --git a/ubuntu/trusty/all/linex-xubuntu-core/debian/rules b/ubuntu/trusty/all/linex-xubuntu-core/debian/rules
new file mode 100755
index 0000000..b760bee
--- /dev/null
+++ b/ubuntu/trusty/all/linex-xubuntu-core/debian/rules
@@ -0,0 +1,13 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+%:
+	dh $@ 